; ********** Hilfsprogramme **********
(Defun PRO ()
 (Prompt "\nVorsicht!!! Layer umschalten...\n")
)

(Defun DKB1 ()
 (If (not TKB1)(setq TKB1 ""))
 (Setq KB1 (Getstring (Strcat "\nKanalbreite <"TKB1">: ")))
 (If (/= KB1 "") (Setq TKB1 KB1))
 (Setq KB1 TKB1)
 (Setq KB1 (Atof KB1))
 (If (<= KB1 0)
  (And (Princ "\nWert muss positiv und ungleich Null sein.") (DKB1))
 );If
)

(Defun DKL ()
 (If (not TKL)(setq TKL ""))
 (Setq KL (Getstring (Strcat "\nKanallnge <"TKL">: ")))
 (If (/= KL "") (Setq TKL KL))
 (Setq KL TKL)
 (Setq KL (Atof KL))
 (If (<= KL 0)
  (And (Princ "\nWert muss positiv und ungleich Null sein.") (DKL))
 );If
)

(Defun DDW ()
 (If (not TDW)(setq TDW ""))
 (Setq DW (Getstring (Strcat "\nDrehwinkel <"TDW">: ")))
 (If (/= DW "") (Setq TDW DW))
 (Setq DW TDW)
 (Setq DW (Atof DW))
)

(Defun DREH ()
 (Command "DREHEN" "L" "" P1 DW)
)

(Defun ND1 ()
 (Command "NDERN" "L" "" "EI" "F" "1" "")
)

(Defun SVS ()
 (Command "ZURCK" "B")
 (Setq AL (getvar "Clayer"))
 (Setq CM (Getvar "Cmdecho"))
 (Setq BL (Getvar "Blipmode"))
 (Setq OS (Getvar "Osmode"))
)

(Defun SVZ ()
 (Setvar "Clayer" AL)
 (Setvar "Cmdecho" CM)
 (Setvar "Osmode" OS)
 (Setvar "Blipmode" BL)  
 (Command "ZURCK" "E")
)

; ********** DCL Datei suchen und ffnen **********

(defun K1-DCL ()
 (setq dcl (findfile "k1.dcl"))
 (if (= dcl nil)
  (alert "AutoCAD kann die Zusatzdatei bogen30g_iwt.dcl nicht finden!\n
          Ueberpruefen Sie, ob sich diese Datei in einem AutoCAD Verzeichnis befindet!")
  );end if

 (setq dcl_id (load_dialog "k1.dcl"))
 (if (not (new_dialog "k1" dcl_id)) (exit))

 (setq Bre (dimx_tile "K1"))
 (setq Hoe (dimy_tile "K1"))
 (start_image "K1")
 (slide_image 0 0 bre hoe "K1(K1)")
 (end_image)

; 1. Version
;  (action_tile "KB1"  "(setq KB1 (get_tile \"KB1\"))")
;  (Setq KB1 (Atof KB1))

; 2. Version  
;  (Setvar "Cmdecho" 1)
;  (strcat	"(setq KB1 (atof (get_tile \"KB1\")))") ;_ end of strcat

  
 (action_tile "cancel" "(done_dialog)")
 (setq OK (start_dialog))
 (unload_dialog dcl_id)
 (princ)
);end defun


; ********** Hauptprogramme **********
(Defun C:K1 ()
 (SVS)  
 (Setvar "Cmdecho" 1)
 (Setvar "Blipmode" 0)

 (Setq SLB (Findfile "k1.slb"))
 (If (= SLB nil)
  (Alert "AutoCAD kann die Zusatzdatei k1.slb nicht finden!\n
          berprfen Sie, ob sich diese Datei in einem AutoCAD Verzeichnis befindet!")
;  (Alert "SLD DATEI GEFUNDEN")
 );If

 (K1-DCL)

;(PRO)
;(DKB1)
(DKL)
(DDW)

 (Setvar "OSMODE" 1)
 (Setq P1 (Getpoint "\nEinfgepunkt: END von "))
 (Setvar "OSMODE" 0)
 (Setq P2 (List (+ (Car P1) KB1) (Cadr P1)))
 (Setq P3 (List (- (Car P1) 2) (Cadr P1)))
 (Setq P4 (List (+ (Car P2) 2) (Cadr P2)))
 (Setq P5 (List (Car P1) (- (Cadr P1) 1)))
 (Setq P6 (List (Car P2) (- (Cadr P2) 1)))
 (Setq P7 (List (Car P1) (+ (Cadr P1) 1)))
 (Setq P8 (List (Car P2) (+ (Cadr P2) 1)))
 (Setq P9 (List (Car P1) (+ (Cadr P1) KL)))
 (Setq P10 (List (Car P2) (+ (Cadr P2) KL)))

 (Command "LINIE" P5 P6 "")
 (DREH)
 (ND1)
 (Command "LINIE" P3 P4 "")
 (DREH)
 (Command "LINIE" P7 P8 "")
 (DREH)
 (ND1)
 (Command "LINIE" P1 P9 "")
 (DREH)
 (Command "LINIE" P2 P10 "")
 (DREH)

 (SVZ)
 (Princ)
); Defun
